Products

Returns a paged list of products and provides search functionality.

While the limit is 2000, we recommend using lower numbers for paging detail or full verbosity lists,
to avoid having huge responses.

get
https://api-qual.migros.ch/migros/products/v8/products

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

facetsstring

Selected facet terms as readable string or indexed array by facet name, e.g. ?facets[facet_name][]=123&facets[facet_name][]=456.

facet_sizeinteger

Maximum number of terms for each facet to include in the response. -1 returns no facets at all and 0 returns all terms.

extra_facetsstring

Defines additional facets that should be returned. Possible values: ‘category’. Example: ?extra_facets[]=category

sortstring

The sorting criteria.

Allowed values:scorepricecategoryidnameratingrating_roundedrating_rounded_tenthreviewsupdated_atboss_numberbrand_namepim_status

Default:score

orderstring

The ordering direction.

Allowed values:ascdesc

Default:asc

rootsstring

When sorting by category the sorting will be done by the children of the categories passed in this parameter. For each product the first category matching from the bottom will be taken. The following two formats are valid for this parameter: ?roots=code1,code2 or ?roots[]=code1&roots[]=code2.

regionstring

Get the price for this region. Output in the ‘price’ field and used for sorting by price. If you specify ‘all’, prices for all regions are additionally output in ‘regional_information’.

Allowed values:nationalgmaagmbsgmgegmlugmnfgmosgmtigmvdgmvsgmzhall

Default:national

regional_availablestring

Filter the list of products by their availability in the given region. Availability is based on supermarket stores (M, MM, MMM, Voi, Migros Partner), and assumes that the product is available in at least a percentage of those stores, see regional_available_min_percentage for default value.

Allowed values:gmaagmbsgmgegmlugmnfgmosgmtigmvdgmvsgmzhnational

regional_available_min_percentageinteger

Specify the minimum percentage of the availability in the region to be used. This parameter can be used only with the regional_available. Default value is 60% for the product search. Note: 1% means that the product is available at least in one store

>= 1<= 100

price_sourcestring

Use a different source to use for prices than the default PriceRepo system. To get shop prices, specify the price_channel. You can’t specify both this and price_channel in the same request.

Allowed values:pim

price_channelstring

Get the shop prices for the specified channel. Only national prices will be available in regional_information. You can’t specify both this and price_source in the same request. When using this parameter, price boosting, filtering by discounts, discount_campaigns, discount_events or discount_types and sorting by price uses the price repo prices, and not the specified shop price. Visibility will look at the price repository price, not the shop price of the specified channel.

Allowed values:01020304050607080910111299

regional_pricesstring

Set to ‘all’ to output regional prices in the regional_information field if available.

Allowed values:all

updated_sincestring

The date and time used to only get products updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00 (careful about the plus getting properly percent-encoded when passed). Default time zone is Swiss time.

discountstring

Display only products which belong to the specified discount. This filter still works, but is deprecated as of version 2.

discountsstring

Display only products which belong to the specified discounts. This filter respects the region parameter, so the discount has be in the given region or national. Note: A discount sometimes applies to many products, you need to do paging in case the limit is hit (see limit parameter).

discount_campaignsstring

Display only products which belong to the specified discount campaign. This will also return the specific discount on the product.

discount_eventsstring

Display only products which belong to the specified discount event. This will also return the specific discount on the product.

discount_typesstring

Display only products which have a discount with the given discount_type_id. Multiple can be given, seperated by a comma. Product must have at least one of the specified discount types to pass the filter. Will respect the region parameter if set and use that in addition to national discounts.

gtinsstring

A comma separated list or an array of gtins for filtering the products. The order of the gtins has no effect on the order of the returned products.

tagsstring

A comma separated list or an array of tags for filtering the products. The products must contain one of the specified tags.

storestring

A single store id. If set, the result is limited to products available at that store.

supplieridsstring

A comma separated list or an array of supplier ids for filtering the products.

recipe_ingredientstring

The RecipeIngredient ID to filter the products for. Only a single id is supported, as otherwise it would be impossible from the result to know which products belongs to which ingredient id.

idsstring

A comma separated list or an array of product ids defining the products and the order in which the products should be returned. If the ids parameter is provided all other filtering parameters are ignored.

boss_number_prefixesstring

A comma separated list of boss_numbers prefixes to filter products for.

online_relevantstring

Filter for only products in this online channel. e.g. MO, MGB (for supermarket), MYM or ALN. A comma separated list or an array

viewstring

Return specific set of products. Either ‘all’ (active and inactive/incomplete products), ‘browse’ (active products excluding Alnatura products), or ‘browseallretailers’ (active products including Alnatura products).

Allowed values:allbrowsebrowseallretailers

Default:browse

verbositystring

Verbosity of output. If not specified, outputs information usually needed on product lists. You can output a flat list of product ids with ‘id’ or show all details as in the product detail route with ‘detail’.

Allowed values:idlistdetailfull

alternate_scoringboolean

Enable alternate scoring system, for A/B search testing

search_modestring

Use the given search mode (warning: changing the search_mode is meant only for specific cases).

Allowed values:defaultabtestingartikelabfragecustomized

search_fieldsstring

A comma separated list or an array of fields where the search should be executed in (only valid with search_mode=customized). This is meant for testing purposes only.

search_within_idsstring

A comma separated list or an array of product IDs to search in (sort is not altered by this filter). Take care of the request size when passing a huge number of IDs

custom_imageboolean

Whether to output the custom image format with placeholders for width and height.

Default:false

is_variantboolean

Whether to output products that are variants. If this parameter is omitted, it returns both variants and base products.

one_catalog_idsstring

A comma separated list of one catalog ids for filtering the products.

price_levelinteger

Filter for prive_level property (1=tiefpreis)

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ProductCollection

A collection of Product instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

facetsobjectDEPRECATED

Facets array.

productsarray[object]required

Represents a product in the API.

Show Child Parameters
get/migros/products/v8/products
 
application/json

This endpoint is similar to the /products endpoint, but offers some additional functionalities for specific use cases.

Caching for this endpoint is disabled, as it accepts parameters to be passed within the GET request body.

post
https://api-qual.migros.ch/migros/products/v8/products-advanced

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

facetsstring

Selected facet terms as readable string or indexed array by facet name, e.g. ?facets[facet_name][]=123&facets[facet_name][]=456.

facet_sizeinteger

Maximum number of terms for each facet to include in the response. -1 returns no facets at all and 0 returns all terms.

extra_facetsstring

Defines additional facets that should be returned. Possible values: ‘category’. Example: ?extra_facets[]=category

sortstring

The sorting criteria.

Allowed values:scorepricecategoryidnameratingrating_roundedrating_rounded_tenthreviewsupdated_atboss_numberbrand_namepim_status

Default:score

orderstring

The ordering direction.

Allowed values:ascdesc

Default:asc

rootsstring

When sorting by category the sorting will be done by the children of the categories passed in this parameter. For each product the first category matching from the bottom will be taken. The following two formats are valid for this parameter: ?roots=code1,code2 or ?roots[]=code1&roots[]=code2.

regionstring

Get the price for this region. Output in the ‘price’ field and used for sorting by price. If you specify ‘all’, prices for all regions are additionally output in ‘regional_information’.

Allowed values:nationalgmaagmbsgmgegmlugmnfgmosgmtigmvdgmvsgmzhall

Default:national

regional_availablestring

Filter the list of products by their availability in the given region. Availability is based on supermarket stores (M, MM, MMM, Voi, Migros Partner), and assumes that the product is available in at least a percentage of those stores, see regional_available_min_percentage for default value.

Allowed values:gmaagmbsgmgegmlugmnfgmosgmtigmvdgmvsgmzhnational

regional_available_min_percentageinteger

Specify the minimum percentage of the availability in the region to be used. This parameter can be used only with the regional_available. Default value is 60% for the product search. Note: 1% means that the product is available at least in one store

>= 1<= 100

price_sourcestring

Use a different source to use for prices than the default PriceRepo system. To get shop prices, specify the price_channel. You can’t specify both this and price_channel in the same request.

Allowed values:pim

price_channelstring

Get the shop prices for the specified channel. Only national prices will be available in regional_information. You can’t specify both this and price_source in the same request. When using this parameter, price boosting, filtering by discounts, discount_campaigns, discount_events or discount_types and sorting by price uses the price repo prices, and not the specified shop price. Visibility will look at the price repository price, not the shop price of the specified channel.

Allowed values:01020304050607080910111299

regional_pricesstring

Set to ‘all’ to output regional prices in the regional_information field if available.

Allowed values:all

updated_sincestring

The date and time used to only get products updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00 (careful about the plus getting properly percent-encoded when passed). Default time zone is Swiss time.

discountstring

Display only products which belong to the specified discount. This filter still works, but is deprecated as of version 2.

discountsstring

Display only products which belong to the specified discounts. This filter respects the region parameter, so the discount has be in the given region or national. Note: A discount sometimes applies to many products, you need to do paging in case the limit is hit (see limit parameter).

discount_campaignsstring

Display only products which belong to the specified discount campaign. This will also return the specific discount on the product.

discount_eventsstring

Display only products which belong to the specified discount event. This will also return the specific discount on the product.

discount_typesstring

Display only products which have a discount with the given discount_type_id. Multiple can be given, seperated by a comma. Product must have at least one of the specified discount types to pass the filter. Will respect the region parameter if set and use that in addition to national discounts.

gtinsstring

A comma separated list or an array of gtins for filtering the products. The order of the gtins has no effect on the order of the returned products.

tagsstring

A comma separated list or an array of tags for filtering the products. The products must contain one of the specified tags.

storestring

A single store id. If set, the result is limited to products available at that store.

supplieridsstring

A comma separated list or an array of supplier ids for filtering the products.

recipe_ingredientstring

The RecipeIngredient ID to filter the products for. Only a single id is supported, as otherwise it would be impossible from the result to know which products belongs to which ingredient id.

idsstring

A comma separated list or an array of product ids defining the products and the order in which the products should be returned. If the ids parameter is provided all other filtering parameters are ignored.

boss_number_prefixesstring

A comma separated list of boss_numbers prefixes to filter products for.

online_relevantstring

Filter for only products in this online channel. e.g. MO, MGB (for supermarket), MYM or ALN. A comma separated list or an array

viewstring

Return specific set of products. Either ‘all’ (active and inactive/incomplete products), ‘browse’ (active products excluding Alnatura products), or ‘browseallretailers’ (active products including Alnatura products).

Allowed values:allbrowsebrowseallretailers

Default:browse

verbositystring

Verbosity of output. If not specified, outputs information usually needed on product lists. You can output a flat list of product ids with ‘id’ or show all details as in the product detail route with ‘detail’.

Allowed values:idlistdetailfull

alternate_scoringboolean

Enable alternate scoring system, for A/B search testing

search_modestring

Use the given search mode (warning: changing the search_mode is meant only for specific cases).

Allowed values:defaultabtestingartikelabfragecustomized

search_fieldsstring

A comma separated list or an array of fields where the search should be executed in (only valid with search_mode=customized). This is meant for testing purposes only.

search_within_idsstring

A comma separated list or an array of product IDs to search in (sort is not altered by this filter). Take care of the request size when passing a huge number of IDs. More product-IDs may also be passed in the POST request body. Ask the M-API team for more details.

custom_imageboolean

Whether to output the custom image format with placeholders for width and height.

Default:false

is_variantboolean

Whether to output products that are variants. If this parameter is omitted, it returns both variants and base products.

one_catalog_idsstring

A comma separated list of one catalog ids for filtering the products.

Response

application/json

Returned when successful

ProductCollection

A collection of Product instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

facetsobjectDEPRECATED

Facets array.

productsarray[object]required

Represents a product in the API.

Show Child Parameters
post/migros/products/v8/products-advanced
 
application/json

Returns information about a single product by ID or slug.

Returns information about a single product by ID or slug.

get
https://api-qual.migros.ch/migros/products/v8/products/{id}

Query Parameters

viewstring

Return specific set of products. Either ‘all’ (active and inactive/incomplete products), ‘browse’ (active products excluding Alnatura products), or ‘browseallretailers’ (active products including Alnatura products).

Allowed values:allbrowsebrowseallretailers

Default:browse

verbositystring

Verbosity of output. If not specified, outputs detailed information. You can limit this to the reduced list view by specifying ‘list’.

Allowed values:listdetailfull

price_sourcestring

Use a different source to use for prices than the default PriceRepo system. To get shop prices, specify the price_channel. You can’t specify both this and price_channel in the same request.

Allowed values:pim

price_channelstring

Get the shop prices for the specified channel. Only national prices will be available in regional_information. You can’t specify both this and price_source in the same request. Visibility will look at the price repository price, not the shop price of the specified channel.

Allowed values:01020304050607080910111299

regionstring

The region for which to output the price. If you specify ‘all’, prices for all regions are additionally output in ‘regional_information’.

Allowed values:nationalgmaagmbsgmgegmlugmnfgmosgmtigmvdgmvsgmzhall

Default:national

regional_pricesstring

Set to ‘all’ to output regional prices in the regional_information field if available. This implicitly sets region=all to actually output the regional prices.

Allowed values:all

custom_imageboolean

Whether to output the custom image format with placeholders for width and height.

Default:false

discount_campaignsstring

Display only products which belong to the specified discount campaign. This will also return the specific discount on the product.

discount_eventsstring

Display only products which belong to the specified discount event. This will also return the specific discount on the product.

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Match pattern:^(?!availability|listed|chemicals-declarations|purchase-price|safety-sheet|visibility)[^/\.]+$

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

Product

Represents a product in the API.

additional_categoriesarray[array]

Collection of additional category breadcrumbs, where the first element is the leaf category and the last one the root.

additional_imagesarray | null[object]

An image and its properties.

Show Child Parameters
adult_contentboolean | null

Flag if the product is an adult-only product

assortment_levelsarray | null[object]

Entry in the assortment information list (Sortimentierung in SAP)

Show Child Parameters
attributesobject

Hashmap of variant attributes.

The keys are the attribute labels. There are some known keys: color and size.

base_product_idstring | null

The product id of the base product if one exists.

base_unitstring | null

The base unit of the product.

boss_numberstringrequired

Product “boss number”.

It is represented as string because the number can have leading zeros.

brandOne Of

The brand (“Marke”) the product belongs to.

Brandobject

Represents the Brand information.

Show Child Parameters
bundleOne Of

Bundle (Gebindetyp) information of a product: Contains information about the bundle (Gebinde) in which a product
is handled/transported in logistic centers.

Bundleobject

Bundle (Gebindetyp) contains information about the bundle (Gebinde) which is used in the logistics center to
handle/transport the products.

Show Child Parameters
care_labelsarray | null[object]

Represents a care label.

Show Child Parameters
categoriesarray | null[object]

Represents the category basic information.

Show Child Parameters
chemicals_declarationOne Of

Chemicals declaration for this product.

This is only exported on the product detail view, but not in list views.

ProductChemicalsDeclarationobject

Information on chemicals (Gefahrenstoffe).

The backend decides which statements are to be displayed according to additional flags.
Just show all statements you find.

http://de.wikipedia.org/wiki/H-_und_P-Sätze
http://de.wikipedia.org/wiki/R-_und_S-Sätze

Show Child Parameters
co2_compensationOne Of

CO2 compensation information.

Co2Compensationobject

CO2 compensation details.

These are the technical values for selling CO2 compensation. The MCheck also provides some carbon footprint
information, but the MCheck information is only informative.

Show Child Parameters
colorsarray | null[object]DEPRECATED

Represents a possible color for the product.

Show Child Parameters
declarationsOne Of

Declaration information.

ProductDeclarationsobject

Declarations information mapped on the product.

Show Child Parameters
descriptionOne Of

Main product description.

Descriptionobject

A product description and its properties.

Show Child Parameters
documentsarray | null[object]

Represents a document.

Show Child Parameters
energy_efficiencyOne Of
EnergyEfficiencyobject

Represents information about energy efficiency in the API.

Show Child Parameters
esl_additional_informationstring | null

eRPA Text field
EsField index=false so that the field is not indexed in ElasticSearch
we only need it in the raw data

eyecatchersarray | null[object]DEPRECATED

Represents a Pictogram (or Eyecatcher) on a product.

Show Child Parameters
featuresarray | null

Collection of product feature instances.

Show Child Parameters
galaxus_relevantboolean | null

Whether the product in relevant for Galaxus.

Used in the admin app and for filtering in ElasticSearch.

gpcOne Of

Global Product Classification.

ProductGpcobject

Global Product Classification of this product.

https://www.gs1.org/standards/gpc/how-gpc-works
https://www.gs1.ch/home/themen/gs1-standards/share/global-product-classification-(gpc)

This is the model that is mapped onto the product. There is also Migros\Model\Gcp\Gpc for the
stand-alone GPC information.

Show Child Parameters
gtinsarray[string]

Global Trade Item Number (GTIN).

has_safety_sheetboolean | null

Flag if the product has any Safety-Sheet available.
This is for internal use only.

idstringrequired
imageOne Of

Main product image.

Imageobject

An image and its properties.

Show Child Parameters
image_transparentOne Of

Main product image, transparent.

Imageobject

An image and its properties.

Show Child Parameters
included_recycling_feenumber | null(float)DEPRECATED

This is the cost of the so called ‘vorgezogene Recyclinggebühr’, in PEx called ‘vrgPrice’

internal_featuresarray | null

Collection of internal feature instances for grouping, sorting.

Show Child Parameters
is_variantboolean

Whether it is a product variant.

item_usageOne Of

Multilingual description of how the product is used, e.g. permanent article

ItemUsageobject
Show Child Parameters
labelsarray | null[object]

Represents the Label information in the Product.

Show Child Parameters
languagestringrequired

Allowed values:defriten

linksobject

Hashmap of links indexed by target system id.

This property holds the data to store in Elasticsearch.

local_certificationsarray | null[object]

Local Certifications of a product, needed for the new product title structure.

Show Child Parameters
logistical_informationOne Of

Logistical information about the product.

LogisticalInformationobject
Show Child Parameters
m_check2One Of

MCheck data: product sustainability information.

MCheckobject

MCheck 2.0 information on the product.

MCheck has been introduced by Migros to show the sustainability of products regarding re-traceability, biodiversity
etc. to the consumers.

Show Child Parameters
m_dataOne Of
ProductMDataobject

This is the MData from PEX and/or PIM.

Show Child Parameters
main_supplierOne Of

Main supplier (Regellieferant) for this product.

ProductSupplierobject
Show Child Parameters
main_variant_idstring | null

The id of the main variant of this product, if one exists.

migrolino_dataOne Of
MigrolinoDataobject

Migrolino-specific product data

Show Child Parameters
mpidstring | null

The Migros-Product-ID (from Riversand/Pim4Migros project), e.g. “MP-169r-xp74-3dba”

namestringrequired
namesOne Of
ProductNamesobject

This is the data about Product names.

Show Child Parameters
new_productOne Of

Date range when the product is considered new.

DateRangeobject

Represents an interval.

Show Child Parameters
nutritional_characteristicsarray | null[object]

Nutritional Characteristics of a product, needed for the new product title structure.

Show Child Parameters
one_catalogOne Of
OneCatalogobject
Show Child Parameters
online_relevantarray | null[object]

Online channels this product is relevant for.

Show Child Parameters
online_shop_relevantboolean | null

Whether the product in relevant for Rialto.

This flag does NOT decide whether the product should currently be shown in the shops.
It merely tells that PIM sees the necessary logistics information for this product exist.
For MAPI, this flag means that rialto is notified about changes on this product.

To decide if a product should be shown in the shop, use the retailer_flags visibility field.

originsOne Of

If there are declarations, this is the information from the declarations, otherwise the information coming from PEx.

Originsobject

Collects information about the various source declarations of a product.

Show Child Parameters
packageOne Of

Package weight and contents.

Some of this data is duplicated in “package_information”, which contains information about more package types.

ProductPackageobject

Represents the package information.

Show Child Parameters
package_informationobject

Package information indexed by the type of package.

Some of this data is duplicated in “package”, which can contain additional information for display purposes.

Example types of package information:

  • cu: customer unit
  • tu: transport unit
  • lu: logistic unit
partsOne Of
DEPRECATED

List of parts related to this product.

Partsobject
Show Child Parameters
pictogramsarray | null[object]DEPRECATED

Represents a Pictogram (or Eyecatcher) on a product.

Show Child Parameters
popOne Of
DEPRECATED
Popobject

Represents POP Label fields on a product.

Show Child Parameters
pre_supplierOne Of

Upstream supplier referenced by the main supplier in P4M.
Contains the supplier ID and, when available from the supplier relation lookup, the supplier name.

ProductPreSupplierobject
Show Child Parameters
priceOne Of
DEPRECATED

Current valid price or discounted price.

Defaults to national price. If region is given and the price differs, the regional price is used.
Falls back to national if there is no regional price.

This property is mapped on-the-fly given the region specified in the API request by the ProductFilter.

ProductPriceobject

Singular combined price information including discount if present.

Show Child Parameters
price_comparisonOne Of

Alternative units for pricing comparison

ProductPriceComparisonobject
Show Child Parameters
procurement_ordering_textstring | nullDEPRECATED

Ordering text of the product that is useful in the procurement process.

product_line
product_specific_propertiesstring | null

Specific Properties of a product, needed for the new product title structure.

product_typestring | null

Product type name.

product_type_codestring | null

Product type code.

quality_responsibleOne Of
QualityResponsibleobject

Quality responsible of a product
Examples: MGB, Denner, GM Aare

Show Child Parameters
quantity_on_stockinteger | nullDEPRECATED

The amount on stock.

ratingsOne Of

The ratings of the product.

ItemRatingsobject

Represents the ratings of an item, e.g. product.

Show Child Parameters
receipt_textstring | null

Product receipt text.

regional_availabilityOne Of
RegionalAvailabilityMapobject

Map of the regional availability of a product in the regions.

Show Child Parameters
regional_informationOne Of
DEPRECATED

The regional information with price and discount information.

Either national is set or the individual regional ones.
No longer visible by default from version 7 on. If required, use region=all to get it.

RegionalInformationobject

Represents the regional information of a product in the API.

Show Child Parameters
reindex_datestring | null(date-time)

Time when product should be reindexed again because of outdated data.

related_productsOne Of

List of related products, such as purchase recommendations or product references.

RelatedProductsobject

Represents a collection of product recommendations from all sources.

Show Child Parameters
retailerobjectrequired

Retailer information.

Show Child Parameters
retailer_flagsOne Of

Retailer flags (Product status fields).

RetailerFlagsMapobject

Map of all retailers for their retailer flags.

Show Child Parameters
sap_created_atstring | null(date-time)

Time when product was created in SAP.

servicesOne Of
DEPRECATED

Services which are available to this product.

Servicesobject

Represents services.

Show Child Parameters
short_descriptionstring | nullDEPRECATED
slugstringrequired

Unique user-friendly ID.

slugsobject

Represents a list of multilingual slugs.

Show Child Parameters
statusobject

A product status.

Show Child Parameters
tagsarray | null[string]

Tags for flagging certain products.

The tags property is stored to ES as is, but we use a virtual property for M-API output to filter out internal tags.

test_winner_labelsarray | null[object]DEPRECATED

An image and its properties.

Show Child Parameters
typestring | null

Product type from PIM or PEx.
This value is also used properly tag Sammler products.

00 = Einzelartikel (normal product)
01 = Sammelartikel (Sammler)
02 = Variante (variant)
10 = VK-Set
11 = Lot
12 = Display
20 = Warengruppen-Wertartikel
21 = Warengruppen-Hierarchiewertartikel
22 = Gruppen-Wertartikel
30 = Warengruppen-Vorlageartikel

updated_atstring(date-time)required

Time when product was last indexed (or partially updated) with modifications in Elasticsearch.

When a product did not change after mapping, it is not re-indexed and thus the timestamp is not updated as well.

variantsarray | null[object]

Represents a variant mapped onto the base product.

Variants are also indexed standalone and for that the regular Product model is used.
A ProductVariant is created from that Product when mapping the variant onto the base product.

Show Child Parameters
varietystring | null
vatOne Of

Product VAT percentage.

Vatobject

Represents VAT information on a product.

Show Child Parameters
videosarray | null[string]

Links to videos.

warranty_extension_pricenumber | null(float)DEPRECATED
warranty_monthsinteger | null

The number of months this product has warranty.

get/migros/products/v8/products/{id}
 
application/json

AbstractBadge

object
customstring

Image URL with placeholders for {width} and {height}.

hex_colorstring

The hexadecimal color code for this badge.

originalstring

Full size image.

stackstring

Image URL with a placeholder for a Rokka {stack}.

vectorstring

Vector image.

Example

AbstractCollection

A generic collection of elements.